<?php

namespace Drupal\vgwort\Plugin\GraphQL\DataProducer;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\graphql\Plugin\GraphQL\DataProducer\DataProducerPluginBase;

/**
 * Resolves vgwort field data.
 *
 * @DataProducer(
 *   id = "vgwort",
 *   name = @Translation("VG Wort"),
 *   description = @Translation("Resolves the vgwort field."),
 *   produces = @ContextDefinition("map",
 *     label = @Translation("VG Wort field values")
 *   ),
 *   consumes = {
 *     "entity" = @ContextDefinition("entity",
 *       label = @Translation("The entity.")
 *     )
 *   }
 * )
 */
class VgWort extends DataProducerPluginBase {

  /**
   * Resolve the VG Wort field.
   *
   * @param \Drupal\Core\Entity\ContentEntityInterface $entity
   *   The entity with a vgwort field.
   *
   * @return array
   *   The VG Wort field data.
   */
  public function resolve(ContentEntityInterface $entity): array {
    return [
      'counterId' => $entity->vgwort_counter_id->value,
      'url' => $entity->vgwort_counter_id->url,
    ];
  }

}
